Package org.eclipse.birt.core.archive.compound

# Class ArchiveView

java.lang.Object
org.eclipse.birt.core.archive.compound.ArchiveView

All Implemented Interfaces:
  `IArchiveFile`

public class ArchiveView extends Object implements IArchiveFile

## Constructor Summary

Constructors
Constructor
Description
`ArchiveView(String viewName, String archiveName, String viewMode)`
`ArchiveView(String viewName, IArchiveFile archive, String viewMode)`
`ArchiveView(IArchiveFile view, IArchiveFile archive, boolean sharedArchive)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`protected void`
`closeEntry(org.eclipse.birt.core.archive.compound.ArchiveView.ViewEntry entry)`
`ArchiveEntry`
`createEntry(String name)`
`boolean`
`exists(String name)`
`void`
`flush()`
`IArchiveFile`
`getArchive()`
`String`
`getDependId()`
`long`
`getLength()`
`String`
`getName()`
`String`
`getSystemId()`
`long`
`getUsedCache()`
`IArchiveFile`
`getView()`
`List<String>`
`listEntries(String namePattern)`
`Object`
`lockEntry(String entry)`
`ArchiveEntry`
`openEntry(String name)`
`protected void`
`openEntry(org.eclipse.birt.core.archive.compound.ArchiveView.ViewEntry entry)`
`void`
`refresh()`
`boolean`
`removeEntry(String name)`
`void`
`save()`
`void`
`setCacheSize(long cacheSize)`
`void`
`unlockEntry(Object locker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArchiveView

public ArchiveView(IArchiveFile view, IArchiveFile archive, boolean sharedArchive)

### ArchiveView

public ArchiveView(String viewName, String archiveName, String viewMode) throws IOException

Throws:
  `IOException`

### ArchiveView

public ArchiveView(String viewName, IArchiveFile archive, String viewMode) throws IOException

Throws:
  `IOException`

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `IArchiveFile`
Throws:
  `IOException`

### exists

public boolean exists(String name)

Specified by:
  `exists` in interface `IArchiveFile`

### openEntry

public ArchiveEntry openEntry(String name) throws IOException

Specified by:
  `openEntry` in interface `IArchiveFile`
Throws:
  `IOException`

### listEntries

public List<String> listEntries(String namePattern)

Specified by:
  `listEntries` in interface `IArchiveFile`

### lockEntry

public Object lockEntry(String entry) throws IOException

Specified by:
  `lockEntry` in interface `IArchiveFile`
Throws:
  `IOException`

### refresh

public void refresh() throws IOException

Specified by:
  `refresh` in interface `IArchiveFile`
Throws:
  `IOException`

### getSystemId

public String getSystemId()

Specified by:
  `getSystemId` in interface `IArchiveFile`

### getDependId

public String getDependId()

Specified by:
  `getDependId` in interface `IArchiveFile`

### openEntry

protected void openEntry(org.eclipse.birt.core.archive.compound.ArchiveView.ViewEntry entry)

### closeEntry

protected void closeEntry(org.eclipse.birt.core.archive.compound.ArchiveView.ViewEntry entry)

### createEntry

public ArchiveEntry createEntry(String name) throws IOException

Specified by:
  `createEntry` in interface `IArchiveFile`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `IArchiveFile`
Throws:
  `IOException`

### save

public void save() throws IOException

Specified by:
  `save` in interface `IArchiveFile`
Throws:
  `IOException`

### getName

public String getName()

Specified by:
  `getName` in interface `IArchiveFile`

### getUsedCache

public long getUsedCache()

Specified by:
  `getUsedCache` in interface `IArchiveFile`

### removeEntry

public boolean removeEntry(String name) throws IOException

Specified by:
  `removeEntry` in interface `IArchiveFile`
Throws:
  `IOException`

### setCacheSize

public void setCacheSize(long cacheSize)

Specified by:
  `setCacheSize` in interface `IArchiveFile`

### unlockEntry

public void unlockEntry(Object locker) throws IOException

Specified by:
  `unlockEntry` in interface `IArchiveFile`
Throws:
  `IOException`

### getArchive

public IArchiveFile getArchive()

### getView

public IArchiveFile getView()

### getLength

public long getLength()

Specified by:
  `getLength` in interface `IArchiveFile`